
struct NewScreen NewScreenStructure = {
	0,0,	/* screen XY origin relative to View */
	640,200,	/* screen width and height */
	4,	/* screen depth (number of bitplanes) */
	0,1,	/* detail and block pens */
	HIRES,	/* display modes for this screen */
	CUSTOMSCREEN,	/* screen type */
	NULL,	/* pointer to default screen font */
	"IRMaster V1.0",	/* screen title */
	NULL,	/* first in list of custom screen gadgets */
	NULL	/* pointer to custom BitMap structure */
};

USHORT Palette[] = {
	0x0888,	/* color #0 */
	0x0FFF,	/* color #1 */
	0x0F00,	/* color #2 */
	0x000C,	/* color #3 */
	0x0048,	/* color #4 */
	0x007D,	/* color #5 */
	0x00AD,	/* color #6 */
	0x00CF,	/* color #7 */
	0x0009,	/* color #8 */
	0x0A0F,	/* color #9 */
	0x0950,	/* color #10 */
	0x0333,	/* color #11 */
	0x0555,	/* color #12 */
	0x0777,	/* color #13 */
	0x0AAA,	/* color #14 */
	0x0CCC	/* color #15 */
#define PaletteColorCount 16
};

UBYTE chip commandstr3SIBuff[100] = "\0";
struct StringInfo commandstr3SInfo = {
	commandstr3SIBuff,	/* buffer where text will be edited */
	NULL,	/* optional undo buffer */
	0,	/* character position in buffer */
	100,	/* maximum number of characters to allow */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

SHORT chip BorderVectors1[] = {
	0,0,
	201,0,
	201,10,
	0,10,
	0,0
};
struct Border Border1 = {
	-1,-1,	/* XY origin relative to container TopLeft */
	3,0,JAM1,	/* front pen, back pen and drawmode */
	5,	/* number of XY vectors */
	BorderVectors1,	/* pointer to XY vectors */
	NULL	/* next border in list */
};

struct IntuiText IText1 = {
	1,5,JAM2,	/* front and back text pens, drawmode and fill byte */
	-67,1,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	"ADDRESS:",	/* pointer to text */
	NULL	/* next IntuiText structure */
};

#define COMMANDSTR3 100

struct Gadget commandstr3 = {
	NULL,	/* next gadget */
	421,141,	/* origin XY of hit box relative to window TopLeft */
	200,9,	/* hit box width and height */
	GADGHCOMP,	/* gadget flags */
	RELVERIFY,	/* activation flags */
	STRGADGET,	/* gadget type flags */
	(APTR)&Border1,	/* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	&IText1,	/* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	(APTR)&commandstr3SInfo,	/* SpecialInfo structure */
	COMMANDSTR3,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

UBYTE chip commandstr1SIBuff[100] = "\0";
struct StringInfo commandstr1SInfo = {
	&commandstr1SIBuff[0],	/* buffer where text will be edited */
	NULL,	/* optional undo buffer */
	0,	/* character position in buffer */
	100,	/* maximum number of characters to allow */
	0,	/* first displayed character buffer position */
	0,1,NULL,NULL,NULL,	/* Intuition initialized and maintained variables */
	NULL,	/* Rastport of gadget */
	NULL,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

SHORT chip BorderVectors2[] = {
	0,0,
	483,0,
	483,10,
	0,10,
	0,0
};
struct Border Border2 = {
	-1,-1,	/* XY origin relative to container TopLeft */
	3,0,JAM1,	/* front pen, back pen and drawmode */
	5,	/* number of XY vectors */
	BorderVectors2,	/* pointer to XY vectors */
	NULL	/* next border in list */
};

#define COMMANDSTR1 99

struct Gadget commandstr1 = {
	/*&commandstr3,	*/ /* next gadget */
	NULL,	/* next gadget */
	138,141,	/* origin XY of hit box relative to window TopLeft */
	482,9,	/* hit box width and height */
	GADGHCOMP,	/* gadget flags */
	RELVERIFY,	/* activation flags */
	STRGADGET,	/* gadget type flags */
	(APTR)&Border2,	/* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	NULL,	/* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	(APTR)&commandstr1SInfo,	/* SpecialInfo structure */
	COMMANDSTR1,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};


UBYTE chip commandstr2SIBuff[100] = "\0";
struct StringInfo commandstr2SInfo = {
	commandstr2SIBuff,	/* buffer where text will be edited */
	NULL,	/* optional undo buffer */
	0,	/* character position in buffer */
	100,	/* maximum number of characters to allow */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

SHORT chip BorderVectors3[] = {
	0,0,
	201,0,
	201,10,
	0,10,
	0,0
};
struct Border Border3 = {
	-1,-1,	/* XY origin relative to container TopLeft */
	3,0,JAM1,	/* front pen, back pen and drawmode */
	5,	/* number of XY vectors */
	BorderVectors3,	/* pointer to XY vectors */
	NULL	/* next border in list */
};

#define COMMANDSTR2 98

struct Gadget commandstr2 = {
	&commandstr1,	/* next gadget */
	141,141,	/* origin XY of hit box relative to window TopLeft */
	200,9,	/* hit box width and height */
	GADGHCOMP,	/* gadget flags */
	RELVERIFY,	/* activation flags */
	STRGADGET,	/* gadget type flags */
	(APTR)&Border3,	/* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	NULL,	/* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	(APTR)&commandstr2SInfo,	/* SpecialInfo structure */
	COMMANDSTR2,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

USHORT chip ImageData1[] = {
	0x7FFF,0xFFFF,0xFFFF,0xFFFF,0xF000,0x1FFF,0xFFFF,0xFFFF,
	0xFFFF,0xF000,0x0FFF,0xFFFF,0xFFFF,0xFFFF,0xF000,0x0FFF,
	0xFFFF,0xFFFF,0xFFFF,0xF000,0x0FFF,0xFFFF,0xFFFF,0xFFFF,
	0xF000,0x0FFF,0xFFFF,0xFFFF,0xFFFF,0xF000,0x0FFF,0xFFFF,
	0xFFFF,0xFFFF,0xF000,0x0FFF,0xFFFF,0xFFFF,0xFFFF,0xF000,
	0x0FFF,0xFFFF,0xFFFF,0xFFFF,0xF000,0x0FFF,0xFFFF,0xFFFF,
	0xFFFF,0xF000,0x0FFF,0xFFFF,0xFFFF,0xFFFF,0xF000,0x0FFF,
	0xFFFF,0xFFFF,0xFFFF,0xF000,0x0000,0x0000,0x0000,0x0000,
	0x3000,0x0000,0x0000,0x0000,0x0000,0x0000,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xF000,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xF000,
	0xF000,0x0000,0x0000,0x0000,0xF000,0xF000,0x0000,0x0000,
	0x0000,0xF000,0xF000,0x0000,0x0000,0x0000,0xF000,0xF000,
	0x0000,0x0000,0x0000,0xF000,0xF000,0x0000,0x0000,0x0000,
	0xF000,0xF000,0x0000,0x0000,0x0000,0xF000,0xF000,0x0000,
	0x0000,0x0000,0xF000,0xF000,0x0000,0x0000,0x0000,0xF000,
	0xF000,0x0000,0x0000,0x0000,0xF000,0xF000,0x0000,0x0000,
	0x0000,0xF000,0xE000,0x0000,0x0000,0x0000,0x3000,0x8000,
	0x0000,0x0000,0x0000,0x0000,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xF000,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xC000,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0x0000,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0x0000,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0x0000,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0x0000,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0x0000,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0x0000,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0x0000,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0x0000,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0x0000,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0x0000,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xC000,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xF000
};

struct Image Image1 = {
	0,0,	/* XY origin relative to container TopLeft */
	68,14,	/* Image width and height in pixels */
	4,	/* number of bitplanes in Image */
	ImageData1,	/* pointer to ImageData */
	0x0007,0x0000,	/* PlanePick and PlaneOnOff */
	NULL	/* next Image structure */
};

USHORT chip ImageData2[] = {
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x07FF,0xFFFF,0xFFFF,0xFFFF,0x0000,0x07FF,
	0xFFFF,0xFFFF,0xFFFF,0x0000,0x07FF,0xFFFF,0xFFFF,0xFFFF,
	0x0000,0x07FF,0xFFFF,0xFFFF,0xFFFF,0x0000,0x07FF,0xFFFF,
	0xFFFF,0xFFFF,0x0000,0x07FF,0xFFFF,0xFFFF,0xFFFF,0x0000,
	0x07FF,0xFFFF,0xFFFF,0xFFFF,0x0000,0x07FF,0xFFFF,0xFFFF,
	0xFFFF,0x0000,0x07FF,0xFFFF,0xFFFF,0xFFFF,0x0000,0x07FF,
	0xFFFF,0xFFFF,0xFFFF,0x0000,0x1FFF,0xFFFF,0xFFFF,0xFFFF,
	0xC000,0x7FFF,0xFFFF,0xFFFF,0xFFFF,0xF000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x3000,
	0x07FF,0xFFFF,0xFFFF,0xFFFF,0xF000,0x07FF,0xFFFF,0xFFFF,
	0xFFFF,0xF000,0x07FF,0xFFFF,0xFFFF,0xFFFF,0xF000,0x07FF,
	0xFFFF,0xFFFF,0xFFFF,0xF000,0x07FF,0xFFFF,0xFFFF,0xFFFF,
	0xF000,0x07FF,0xFFFF,0xFFFF,0xFFFF,0xF000,0x07FF,0xFFFF,
	0xFFFF,0xFFFF,0xF000,0x07FF,0xFFFF,0xFFFF,0xFFFF,0xF000,
	0x07FF,0xFFFF,0xFFFF,0xFFFF,0xF000,0x07FF,0xFFFF,0xFFFF,
	0xFFFF,0xF000,0x1FFF,0xFFFF,0xFFFF,0xFFFF,0xF000,0x7FFF,
	0xFFFF,0xFFFF,0xFFFF,0xF000,0x7FFF,0xFFFF,0xFFFF,0xFFFF,
	0xF000,0x3FFF,0xFFFF,0xFFFF,0xFFFF,0xF000,0x0000,0x0000,
	0x0000,0x0000,0xF000,0x0000,0x0000,0x0000,0x0000,0xF000,
	0x0000,0x0000,0x0000,0x0000,0xF000,0x0000,0x0000,0x0000,
	0x0000,0xF000,0x0000,0x0000,0x0000,0x0000,0xF000,0x0000,
	0x0000,0x0000,0x0000,0xF000,0x0000,0x0000,0x0000,0x0000,
	0xF000,0x0000,0x0000,0x0000,0x0000,0xF000,0x0000,0x0000,
	0x0000,0x0000,0xF000,0x0000,0x0000,0x0000,0x0000,0xF000,
	0x1FFF,0xFFFF,0xFFFF,0xFFFF,0xF000,0x7FFF,0xFFFF,0xFFFF,
	0xFFFF,0xF000,0x8000,0x0000,0x0000,0x0000,0x0000,0xC000,
	0x0000,0x0000,0x0000,0x0000,0xF800,0x0000,0x0000,0x0000,
	0x0000,0xF800,0x0000,0x0000,0x0000,0x0000,0xF800,0x0000,
	0x0000,0x0000,0x0000,0xF800,0x0000,0x0000,0x0000,0x0000,
	0xF800,0x0000,0x0000,0x0000,0x0000,0xF800,0x0000,0x0000,
	0x0000,0x0000,0xF800,0x0000,0x0000,0x0000,0x0000,0xF800,
	0x0000,0x0000,0x0000,0x0000,0xF800,0x0000,0x0000,0x0000,
	0x0000,0xF800,0x0000,0x0000,0x0000,0x0000,0xE000,0x0000,
	0x0000,0x0000,0x0000,0x8000,0x0000,0x0000,0x0000,0x0000
};

struct Image Image2 = {
	0,0,	/* XY origin relative to container TopLeft */
	68,14,	/* Image width and height in pixels */
	4,	/* number of bitplanes in Image */
	ImageData2,	/* pointer to ImageData */
	0x000F,0x0000,	/* PlanePick and PlaneOnOff */
	NULL	/* next Image structure */
};

UBYTE chip irtxt1[8] = "unused ";
struct IntuiText IText2 = {
	1,5,JAM2,	/* front and back text pens, drawmode and fill byte */
	6,3,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	irtxt1,	/* pointer to text */
	NULL	/* next IntuiText structure */
};

#define IR20 97

struct Gadget ir20 = {
        &commandstr1,   /* next gadget */
	542,101,	/* origin XY of hit box relative to window TopLeft */
	68,14,	/* hit box width and height */
	GADGHIMAGE+GADGIMAGE,	/* gadget flags */
	GADGIMMEDIATE,	/* activation flags */
	BOOLGADGET,	/* gadget type flags */
	(APTR)&Image1,	/* gadget border or image to be rendered */
	(APTR)&Image2,	/* alternate imagery for selection */
	&IText2,	/* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	IR20,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

UBYTE chip irtxt2[8] = "unused ";
struct IntuiText IText3 = {
	1,5,JAM2,	/* front and back text pens, drawmode and fill byte */
	6,3,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	irtxt2,	/* pointer to text */
	NULL	/* next IntuiText structure */
};

#define IR19 96

struct Gadget ir19 = {
	&ir20,	/* next gadget */
	542,82,	/* origin XY of hit box relative to window TopLeft */
	68,14,	/* hit box width and height */
	GADGHIMAGE+GADGIMAGE,	/* gadget flags */
	GADGIMMEDIATE,	/* activation flags */
	BOOLGADGET,	/* gadget type flags */
	(APTR)&Image1,	/* gadget border or image to be rendered */
	(APTR)&Image2,	/* alternate imagery for selection */
	&IText3,	/* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	IR19,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

UBYTE chip irtxt3[8] = "unused ";
struct IntuiText IText4 = {
	1,5,JAM2,	/* front and back text pens, drawmode and fill byte */
	6,3,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	irtxt3,	/* pointer to text */
	NULL	/* next IntuiText structure */
};

#define IR18 95

struct Gadget ir18 = {
	&ir19,	/* next gadget */
	542,63,	/* origin XY of hit box relative to window TopLeft */
	68,14,	/* hit box width and height */
	GADGHIMAGE+GADGIMAGE,	/* gadget flags */
	GADGIMMEDIATE,	/* activation flags */
	BOOLGADGET,	/* gadget type flags */
	(APTR)&Image1,	/* gadget border or image to be rendered */
	(APTR)&Image2,	/* alternate imagery for selection */
	&IText4,	/* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	IR18,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

UBYTE chip irtxt4[8] = "unused ";
struct IntuiText IText5 = {
	1,5,JAM2,	/* front and back text pens, drawmode and fill byte */
	6,3,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	irtxt4,	/* pointer to text */
	NULL	/* next IntuiText structure */
};

#define IR17 94

struct Gadget ir17 = {
	&ir18,	/* next gadget */
	542,44,	/* origin XY of hit box relative to window TopLeft */
	68,14,	/* hit box width and height */
	GADGHIMAGE+GADGIMAGE,	/* gadget flags */
	GADGIMMEDIATE,	/* activation flags */
	BOOLGADGET,	/* gadget type flags */
	(APTR)&Image1,	/* gadget border or image to be rendered */
	(APTR)&Image2,	/* alternate imagery for selection */
	&IText5,	/* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	IR17,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

UBYTE chip irtxt5[8] = "unused ";
struct IntuiText IText6 = {
	1,5,JAM2,	/* front and back text pens, drawmode and fill byte */
	6,3,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	irtxt5,	/* pointer to text */
	NULL	/* next IntuiText structure */
};

#define IR16 93

struct Gadget ir16 = {
	&ir17,	/* next gadget */
	542,25,	/* origin XY of hit box relative to window TopLeft */
	68,14,	/* hit box width and height */
	GADGHIMAGE+GADGIMAGE,	/* gadget flags */
	GADGIMMEDIATE,	/* activation flags */
	BOOLGADGET,	/* gadget type flags */
	(APTR)&Image1,	/* gadget border or image to be rendered */
	(APTR)&Image2,	/* alternate imagery for selection */
	&IText6,	/* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	IR16,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

UBYTE chip irtxt6[8] = "unused ";
struct IntuiText IText7 = {
	1,5,JAM2,	/* front and back text pens, drawmode and fill byte */
	6,3,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	irtxt6,	/* pointer to text */
	NULL	/* next IntuiText structure */
};

#define IR15 92

struct Gadget ir15 = {
	&ir16,	/* next gadget */
	460,101,	/* origin XY of hit box relative to window TopLeft */
	68,14,	/* hit box width and height */
	GADGHIMAGE+GADGIMAGE,	/* gadget flags */
	GADGIMMEDIATE,	/* activation flags */
	BOOLGADGET,	/* gadget type flags */
	(APTR)&Image1,	/* gadget border or image to be rendered */
	(APTR)&Image2,	/* alternate imagery for selection */
	&IText7,	/* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	IR15,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

UBYTE chip irtxt7[8] = "unused ";
struct IntuiText IText8 = {
	1,5,JAM2,	/* front and back text pens, drawmode and fill byte */
	6,3,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	irtxt7,	/* pointer to text */
	NULL	/* next IntuiText structure */
};

#define IR14 91

struct Gadget ir14 = {
	&ir15,	/* next gadget */
	460,82,	/* origin XY of hit box relative to window TopLeft */
	68,14,	/* hit box width and height */
	GADGHIMAGE+GADGIMAGE,	/* gadget flags */
	GADGIMMEDIATE,	/* activation flags */
	BOOLGADGET,	/* gadget type flags */
	(APTR)&Image1,	/* gadget border or image to be rendered */
	(APTR)&Image2,	/* alternate imagery for selection */
	&IText8,	/* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	IR14,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

UBYTE chip irtxt8[8] = "unused ";
struct IntuiText IText9 = {
	1,5,JAM2,	/* front and back text pens, drawmode and fill byte */
	6,3,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	irtxt8,	/* pointer to text */
	NULL	/* next IntuiText structure */
};

#define IR13 90

struct Gadget ir13 = {
	&ir14,	/* next gadget */
	460,63,	/* origin XY of hit box relative to window TopLeft */
	68,14,	/* hit box width and height */
	GADGHIMAGE+GADGIMAGE,	/* gadget flags */
	GADGIMMEDIATE,	/* activation flags */
	BOOLGADGET,	/* gadget type flags */
	(APTR)&Image1,	/* gadget border or image to be rendered */
	(APTR)&Image2,	/* alternate imagery for selection */
	&IText9,	/* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	IR13,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

UBYTE chip irtxt9[8] = "unused ";
struct IntuiText IText10 = {
	1,5,JAM2,	/* front and back text pens, drawmode and fill byte */
	6,3,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	irtxt9,	/* pointer to text */
	NULL	/* next IntuiText structure */
};

#define IR12 89

struct Gadget ir12 = {
	&ir13,	/* next gadget */
	460,44,	/* origin XY of hit box relative to window TopLeft */
	68,14,	/* hit box width and height */
	GADGHIMAGE+GADGIMAGE,	/* gadget flags */
	GADGIMMEDIATE,	/* activation flags */
	BOOLGADGET,	/* gadget type flags */
	(APTR)&Image1,	/* gadget border or image to be rendered */
	(APTR)&Image2,	/* alternate imagery for selection */
	&IText10,	/* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	IR12,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

UBYTE chip irtxt10[8] = "unused ";
struct IntuiText IText11 = {
	1,5,JAM2,	/* front and back text pens, drawmode and fill byte */
	6,3,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	irtxt10,	/* pointer to text */
	NULL	/* next IntuiText structure */
};

#define IR11 88

struct Gadget ir11 = {
	&ir12,	/* next gadget */
	460,25,	/* origin XY of hit box relative to window TopLeft */
	68,14,	/* hit box width and height */
	GADGHIMAGE+GADGIMAGE,	/* gadget flags */
	GADGIMMEDIATE,	/* activation flags */
	BOOLGADGET,	/* gadget type flags */
	(APTR)&Image1,	/* gadget border or image to be rendered */
	(APTR)&Image2,	/* alternate imagery for selection */
	&IText11,	/* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	IR11,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

UBYTE chip irtxt11[8] = "unused ";
struct IntuiText IText12 = {
	1,5,JAM2,	/* front and back text pens, drawmode and fill byte */
	6,3,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	irtxt11,	/* pointer to text */
	NULL	/* next IntuiText structure */
};

#define IR10 87

struct Gadget ir10 = {
	&ir11,	/* next gadget */
	378,101,	/* origin XY of hit box relative to window TopLeft */
	68,14,	/* hit box width and height */
	GADGHIMAGE+GADGIMAGE,	/* gadget flags */
	GADGIMMEDIATE,	/* activation flags */
	BOOLGADGET,	/* gadget type flags */
	(APTR)&Image1,	/* gadget border or image to be rendered */
	(APTR)&Image2,	/* alternate imagery for selection */
	&IText12,	/* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	IR10,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

UBYTE chip irtxt12[8] = "unused ";
struct IntuiText IText13 = {
	1,5,JAM2,	/* front and back text pens, drawmode and fill byte */
	6,3,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	irtxt12,	/* pointer to text */
	NULL	/* next IntuiText structure */
};

#define IR9 86

struct Gadget ir9 = {
	&ir10,	/* next gadget */
	378,82,	/* origin XY of hit box relative to window TopLeft */
	68,14,	/* hit box width and height */
	GADGHIMAGE+GADGIMAGE,	/* gadget flags */
	GADGIMMEDIATE,	/* activation flags */
	BOOLGADGET,	/* gadget type flags */
	(APTR)&Image1,	/* gadget border or image to be rendered */
	(APTR)&Image2,	/* alternate imagery for selection */
	&IText13,	/* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	IR9,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

UBYTE chip irtxt13[8] = "unused ";
struct IntuiText IText14 = {
	1,5,JAM2,	/* front and back text pens, drawmode and fill byte */
	6,3,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	irtxt13,	/* pointer to text */
	NULL	/* next IntuiText structure */
};

#define IR8 85

struct Gadget ir8 = {
	&ir9,	/* next gadget */
	378,63,	/* origin XY of hit box relative to window TopLeft */
	68,14,	/* hit box width and height */
	GADGHIMAGE+GADGIMAGE,	/* gadget flags */
	GADGIMMEDIATE,	/* activation flags */
	BOOLGADGET,	/* gadget type flags */
	(APTR)&Image1,	/* gadget border or image to be rendered */
	(APTR)&Image2,	/* alternate imagery for selection */
	&IText14,	/* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	IR8,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

UBYTE chip irtxt14[8] = "unused ";
struct IntuiText IText15 = {
	1,5,JAM2,	/* front and back text pens, drawmode and fill byte */
	6,3,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	irtxt14,	/* pointer to text */
	NULL	/* next IntuiText structure */
};

#define IR7 84

struct Gadget ir7 = {
	&ir8,	/* next gadget */
	378,44,	/* origin XY of hit box relative to window TopLeft */
	68,14,	/* hit box width and height */
	GADGHIMAGE+GADGIMAGE,	/* gadget flags */
	GADGIMMEDIATE,	/* activation flags */
	BOOLGADGET,	/* gadget type flags */
	(APTR)&Image1,	/* gadget border or image to be rendered */
	(APTR)&Image2,	/* alternate imagery for selection */
	&IText15,	/* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	IR7,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

UBYTE chip irtxt15[8] = "unused ";
struct IntuiText IText16 = {
	1,5,JAM2,	/* front and back text pens, drawmode and fill byte */
	6,3,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	irtxt15,	/* pointer to text */
	NULL	/* next IntuiText structure */
};

#define IR6 83

struct Gadget ir6 = {
	&ir7,	/* next gadget */
	378,25,	/* origin XY of hit box relative to window TopLeft */
	68,14,	/* hit box width and height */
	GADGHIMAGE+GADGIMAGE,	/* gadget flags */
	GADGIMMEDIATE,	/* activation flags */
	BOOLGADGET,	/* gadget type flags */
	(APTR)&Image1,	/* gadget border or image to be rendered */
	(APTR)&Image2,	/* alternate imagery for selection */
	&IText16,	/* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	IR6,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

UBYTE chip irtxt16[8] = "unused ";
struct IntuiText IText17 = {
	1,5,JAM2,	/* front and back text pens, drawmode and fill byte */
	6,3,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	irtxt16,	/* pointer to text */
	NULL	/* next IntuiText structure */
};

#define IR5 82

struct Gadget ir5 = {
	&ir6,	/* next gadget */
	296,101,	/* origin XY of hit box relative to window TopLeft */
	68,14,	/* hit box width and height */
	GADGHIMAGE+GADGIMAGE,	/* gadget flags */
	GADGIMMEDIATE,	/* activation flags */
	BOOLGADGET,	/* gadget type flags */
	(APTR)&Image1,	/* gadget border or image to be rendered */
	(APTR)&Image2,	/* alternate imagery for selection */
	&IText17,	/* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	IR5,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

UBYTE chip irtxt17[8] = "unused ";
struct IntuiText IText18 = {
	1,5,JAM2,	/* front and back text pens, drawmode and fill byte */
	6,3,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	irtxt17,	/* pointer to text */
	NULL	/* next IntuiText structure */
};

#define IR4 81

struct Gadget ir4 = {
	&ir5,	/* next gadget */
	296,82,	/* origin XY of hit box relative to window TopLeft */
	68,14,	/* hit box width and height */
	GADGHIMAGE+GADGIMAGE,	/* gadget flags */
	GADGIMMEDIATE,	/* activation flags */
	BOOLGADGET,	/* gadget type flags */
	(APTR)&Image1,	/* gadget border or image to be rendered */
	(APTR)&Image2,	/* alternate imagery for selection */
	&IText18,	/* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	IR4,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

UBYTE chip irtxt18[8] = "unused ";
struct IntuiText IText19 = {
	1,5,JAM2,	/* front and back text pens, drawmode and fill byte */
	6,3,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	irtxt18,	/* pointer to text */
	NULL	/* next IntuiText structure */
};

#define IR3 80

struct Gadget ir3 = {
	&ir4,	/* next gadget */
	296,63,	/* origin XY of hit box relative to window TopLeft */
	68,14,	/* hit box width and height */
	GADGHIMAGE+GADGIMAGE,	/* gadget flags */
	GADGIMMEDIATE,	/* activation flags */
	BOOLGADGET,	/* gadget type flags */
	(APTR)&Image1,	/* gadget border or image to be rendered */
	(APTR)&Image2,	/* alternate imagery for selection */
	&IText19,	/* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	IR3,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

UBYTE chip irtxt19[8] = "unused ";
struct IntuiText IText20 = {
	1,5,JAM2,	/* front and back text pens, drawmode and fill byte */
	6,3,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	irtxt19,	/* pointer to text */
	NULL	/* next IntuiText structure */
};

#define IR2 79

struct Gadget ir2 = {
	&ir3,	/* next gadget */
	296,44,	/* origin XY of hit box relative to window TopLeft */
	68,14,	/* hit box width and height */
	GADGHIMAGE+GADGIMAGE,	/* gadget flags */
	GADGIMMEDIATE,	/* activation flags */
	BOOLGADGET,	/* gadget type flags */
	(APTR)&Image1,	/* gadget border or image to be rendered */
	(APTR)&Image2,	/* alternate imagery for selection */
	&IText20,	/* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	IR2,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

UBYTE chip irtxt20[8] = "unused ";
struct IntuiText IText21 = {
	1,5,JAM2,	/* front and back text pens, drawmode and fill byte */
	6,3,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	irtxt20,	/* pointer to text */
	NULL	/* next IntuiText structure */
};

#define IR1 78


struct Gadget ir1 = {
	&ir2,	/* next gadget */
	296,25,	/* origin XY of hit box relative to window TopLeft */
	68,14,	/* hit box width and height */
	GADGHIMAGE+GADGIMAGE,	/* gadget flags */
	GADGIMMEDIATE,	/* activation flags */
	BOOLGADGET,	/* gadget type flags */
	(APTR)&Image1,	/* gadget border or image to be rendered */
	(APTR)&Image2,	/* alternate imagery for selection */
	&IText21,	/* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	IR1,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

/* Array of pointers to IR control button gadgets. */

struct Gadget *IR[20] =
{
   &ir1, &ir2, &ir3, &ir4, &ir5, &ir6, &ir7, &ir8, &ir9, &ir10, &ir11, &ir12,
   &ir13, &ir14, &ir15, &ir16, &ir17, &ir18, &ir19, &ir20
};


USHORT chip ImageData41[] = {
	0x3FFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFE0,0x0FFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFE0,0x07FF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFE0,0x07FF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFE0,0x07FF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFE0,0x07FF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFE0,0x07FF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFE0,0x07FF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFE0,
	0x07FF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFE0,0x07FF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFE0,0x07FF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFE0,0x07FF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFE0,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0060,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x7FFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFE0,0x7FFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFE0,
	0x7800,0x0000,0x0000,0x0000,0x0000,0x0000,0x01E0,0x7800,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x01E0,0x7800,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x01E0,0x7800,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x01E0,0x7800,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x01E0,0x7800,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x01E0,0x7800,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x01E0,0x7800,0x0000,0x0000,0x0000,0x0000,0x0000,0x01E0,
	0x7800,0x0000,0x0000,0x0000,0x0000,0x0000,0x01E0,0x7800,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x01E0,0x7000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0060,0x4000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x7FFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFE0,0x7FFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFF80,0x7FFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFE00,0x7FFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFE00,
	0x7FFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFE00,0x7FFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFE00,0x7FFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFE00,0x7FFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFE00,0x7FFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFE00,0x7FFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFE00,0x7FFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFE00,0x7FFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFE00,
	0x7FFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFF80,0x7FFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFE0
};

struct Image Image41 = {
	0,0,	/* XY origin relative to container TopLeft */
	107,14,	/* Image width and height in pixels */
	4,	/* number of bitplanes in Image */
	ImageData41,	/* pointer to ImageData */
	0x0007,0x0000,	/* PlanePick and PlaneOnOff */
	NULL	/* next Image structure */
};

USHORT chip ImageData42[] = {
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x07FF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFC00,0x07FF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFC00,0x07FF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFC00,0x07FF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFC00,0x07FF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFC00,0x07FF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFC00,
	0x07FF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFC00,0x07FF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFC00,0x07FF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFC00,0x07FF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFC00,0x1FFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFF00,0x7FFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFC0,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x00C0,
	0x07FF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFC0,0x07FF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFC0,0x07FF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFC0,0x07FF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFC0,0x07FF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFC0,0x07FF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFC0,0x07FF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFC0,0x07FF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFC0,
	0x07FF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFC0,0x07FF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFC0,0x1FFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFC0,0x7FFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFC0,0x7FFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFC0,0x3FFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFC0,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x03C0,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x03C0,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x03C0,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x03C0,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x03C0,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x03C0,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x03C0,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x03C0,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x03C0,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x03C0,
	0x1FFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFC0,0x7FFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFC0,0x8000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0xC000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0xF800,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0xF800,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0xF800,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0xF800,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0xF800,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0xF800,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0xF800,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0xF800,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0xF800,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0xF800,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0xE000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x8000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000
};

struct Image Image42 = {
	0,0,	/* XY origin relative to container TopLeft */
	107,14,	/* Image width and height in pixels */
	4,	/* number of bitplanes in Image */
	ImageData42,	/* pointer to ImageData */
	0x000F,0x0000,	/* PlanePick and PlaneOnOff */
	NULL	/* next Image structure */
};

struct IntuiText IText28 = {
	1,5,JAM2,	/* front and back text pens, drawmode and fill byte */
	38,3,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	"EXIT",	/* pointer to text */
	NULL	/* next IntuiText structure */
};

#define EXIT 71

struct Gadget ExitIt = {
	&ir1,	/* next gadget */
	40,102,	/* origin XY of hit box relative to window TopLeft */
	107,14,	/* hit box width and height */
	GADGHIMAGE+GADGIMAGE,	/* gadget flags */
	GADGIMMEDIATE,	/* activation flags */
	BOOLGADGET,	/* gadget type flags */
	(APTR)&Image41,	/* gadget border or image to be rendered */
	(APTR)&Image42,	/* alternate imagery for selection */
	&IText28,	/* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	EXIT,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

struct IntuiText IText22 = {
	1,5,JAM2,	/* front and back text pens, drawmode and fill byte */
	30,3,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	"AUTHOR",	/* pointer to text */
	NULL	/* next IntuiText structure */
};

#define AUTHOR 77

struct Gadget Author = {
	&ExitIt,	/* next gadget */
	40,86,	/* origin XY of hit box relative to window TopLeft */
	107,14,	/* hit box width and height */
	GADGHIMAGE+GADGIMAGE,	/* gadget flags */
	GADGIMMEDIATE,	/* activation flags */
	BOOLGADGET,	/* gadget type flags */
	(APTR)&Image41,	/* gadget border or image to be rendered */
	(APTR)&Image42,	/* alternate imagery for selection */
	&IText22,	/* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	AUTHOR,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

struct IntuiText IText23 = {
	1,5,JAM2,	/* front and back text pens, drawmode and fill byte */
	32,3,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	"DO IT",	/* pointer to text */
	NULL	/* next IntuiText structure */
};

#define DOIT 76

struct Gadget DoIt = {
	&Author,	/* next gadget */
	40,70,	/* origin XY of hit box relative to window TopLeft */
	107,14,	/* hit box width and height */
	GADGHIMAGE+GADGIMAGE,	/* gadget flags */
	GADGIMMEDIATE,	/* activation flags */
	BOOLGADGET,	/* gadget type flags */
	(APTR)&Image41,	/* gadget border or image to be rendered */
	(APTR)&Image42,	/* alternate imagery for selection */
	&IText23,	/* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	DOIT,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

struct IntuiText IText24 = {
	1,5,JAM2,	/* front and back text pens, drawmode and fill byte */
	26,3,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	"GET SET",	/* pointer to text */
	NULL	/* next IntuiText structure */
};

#define GETSET 75

struct Gadget GetSet = {
	&DoIt,	/* next gadget */
	40,54,	/* origin XY of hit box relative to window TopLeft */
	107,14,	/* hit box width and height */
	GADGHIMAGE+GADGIMAGE,	/* gadget flags */
	GADGIMMEDIATE,	/* activation flags */
	BOOLGADGET,	/* gadget type flags */
	(APTR)&Image41,	/* gadget border or image to be rendered */
	(APTR)&Image42,	/* alternate imagery for selection */
	&IText24,	/* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	GETSET,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

struct IntuiText IText25 = {
	1,5,JAM2,	/* front and back text pens, drawmode and fill byte */
	21,3,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	"SAVE SET",	/* pointer to text */
	NULL	/* next IntuiText structure */
};

#define SAVESET 74

struct Gadget SaveSet = {
	&GetSet,	/* next gadget */
	40,38,	/* origin XY of hit box relative to window TopLeft */
	107,14,	/* hit box width and height */
	GADGHIMAGE+GADGIMAGE,	/* gadget flags */
	GADGIMMEDIATE,	/* activation flags */
	BOOLGADGET,	/* gadget type flags */
	(APTR)&Image41,	/* gadget border or image to be rendered */
	(APTR)&Image42,	/* alternate imagery for selection */
	&IText25,	/* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	SAVESET,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

struct IntuiText IText26 = {
	1,5,JAM2,	/* front and back text pens, drawmode and fill byte */
	32,3,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	"LEARN",	/* pointer to text */
	NULL	/* next IntuiText structure */
};

#define LEARN 73

struct Gadget Learn = {
	&SaveSet,	/* next gadget */
	40,22,	/* origin XY of hit box relative to window TopLeft */
	107,14,	/* hit box width and height */
	GADGHIMAGE+GADGIMAGE,	/* gadget flags */
	GADGIMMEDIATE,	/* activation flags */
	BOOLGADGET,	/* gadget type flags */
	(APTR)&Image41,	/* gadget border or image to be rendered */
	(APTR)&Image42,	/* alternate imagery for selection */
	&IText26,	/* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	LEARN,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

struct IntuiText IText27 = {
	1,5,JAM2,	/* front and back text pens, drawmode and fill byte */
	33,3,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	"AREXX",	/* pointer to text */
	NULL	/* next IntuiText structure */
};

#define AREXX 72

struct Gadget ARexx = {
	&Learn,	/* next gadget */
	22,138,	/* origin XY of hit box relative to window TopLeft */
	107,14,	/* hit box width and height */
	GADGHIMAGE+GADGIMAGE,	/* gadget flags */
	GADGIMMEDIATE,	/* activation flags */
	BOOLGADGET,	/* gadget type flags */
	(APTR)&Image41,	/* gadget border or image to be rendered */
	(APTR)&Image42,	/* alternate imagery for selection */
	&IText27,	/* first IntuiText structure */
	NULL,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	AREXX,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

#define GadgetList1 ARexx

struct NewWindow NewWindowStructure1 = {
	0,10,	/* window XY origin relative to TopLeft of screen */
	640,190,	/* window width and height */
	0,1,	/* detail and block pens */
	GADGETUP|GADGETDOWN,	/* IDCMP flags */
	BORDERLESS|ACTIVATE|NOCAREREFRESH|SIMPLE_REFRESH, /* other window flags */
	&ARexx,	/* first gadget in gadget list */
	NULL,	/* custom CHECKMARK imagery */
	NULL,	/* window title */
	NULL,	/* custom screen pointer */
	NULL,	/* custom bitmap */
	5,5,	/* minimum width and height */
	-1,-1,	/* maximum width and height */
	CUSTOMSCREEN	/* destination screen type */
};


/* end of PowerWindows source generation */
