/*----------------------- B a c k G r o u n d . c ----------------------*/
/* This routine draws the raised background for the user interface in   */
/* IRMaster.c.  It was put into a seperate module so that the Image     */
/* data could be seperated from the rest of the gadget, text, etc.      */
/* structures in order to be able to fit everything into the available  */
/* RAM space when compiling.                                            */
/*----------------------------------------------------------------------*/

#include "irc.h"
#include "IRMasterImage.h"

extern struct RastPort *WRPort;

int BackGround()
{
   /*--- Draw raised background. */

   DrawImage(WRPort, &Image53, (short)0, (short)0);

   /*--- Draw border for help messages. */

   DrawBorder(WRPort, &Border4, (short)0, (short)0);

   return(0);
}
